#!/bin/bash

storeId=$1
cashCode=$2
PYTHON=/usr/bin/python
if [ "$(lsb_release -s -c)" = "jammy" ] ; then
    PYTHON=/usr/bin/python3
fi

if [ "$cashCode" != "" ]
then
    echo 'start unload by cashCode'
    $PYTHON "/opt/exchangers/src/unload/service/cs/startReader.py" -S $storeId -K $cashCode -C
elif [ "$storeId" != "" ]
then
    echo 'start unload by shopCode'
    $PYTHON "/opt/exchangers/src/unload/service/cs/startReader.py" -S $storeId -C
else
    echo 'start unload...'
    $PYTHON "/opt/exchangers/src/unload/service/cs/startReader.py"
fi
exit $?
